/*!
Copyright © 2024 Open Text Corporation, All Rights Reserved.

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*/
import { Config } from '../../models/control-config';
import { OcpdBaseFlexContainer } from '../ocpd-base-flex-container/ocpd-base-flex-container';
import { MoveObject } from '../../helpers/move-object';
export declare class HFlex extends OcpdBaseFlexContainer {
    _moveObject: MoveObject;
    static get tagName(): string;
    constructor();
    render(config: Config): void;
    calculateFlexBasisAllChildren(): void;
    panelResize(event: any, flexPanelLeft: HTMLDivElement, flexPanelRight: HTMLLabelElement, moveHandle: HTMLDivElement): void;
    disposeMoveObject(): void;
    renderInnerHTML(config: Config): string;
    renderChildren(): string;
    removeEventListeners(): void;
    addEventListeners(): void;
    propertyChanged(propertyPath: string, oldValue: any, newValue: any, elementId: string, isUndo: boolean, transactionId: string): void;
    getCss(themeName: any): string;
}
